| Home | Libraries | People | FAQ | More

## Function template join

boost::algorithm::join — Join algorithm.

## Synopsis

    // In header: <boost/algorithm/string/join.hpp>

    template<typename SequenceSequenceT, typename Range1T>
      range_value< SequenceSequenceT >::type
      join(const SequenceSequenceT & Input, const Range1T & Separator);

## Description

This algorithm joins all strings in a 'list' into one long string. Segments are concatenated by given separator.

Parameters:

`Input` | A container that holds the input strings. It must be a container-of-containers.
`Separator` | A string that will separate the joined segments.

Returns: | Concatenated string.
Notes: | This function provides the strong exception-safety guarantee